FREEFOAM-SPLITMESH(1)

NAME
freefoam-splitMesh - Splits mesh by making internal faces external.

SYNOPSIS

freefoam splitMesh <face set> <masterPatch> <slavePatch> [-help] [-srcDoc] [-case <dir>] [-doc] [-overwrite]

DESCRIPTION

Uses attachDetach. Generates a meshModifier of the form:

Splitter { type attachDetach; faceZoneName membraneFaces; masterPatchName masterPatch; slavePatchName slavePatch; triggerTimes runTime.value(); }

so will detach at the current time and split all faces in membraneFaces into masterPatch and slavePatch (which have to be present but of 0 size)

OPTIONS

<face set>
    TODO Detailed description of argument.

<masterPatch>
    TODO Detailed description of argument.

<slavePatch>
    TODO Detailed description of argument.

-overwrite
    Overwrite existing data.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.